## org.Biocorba.Seqcore
Interface _PrimarySeqDB_Operations

All Known Subinterfaces:
  _SeqDB_Operations

All Known Implementing Classes:
  PrimarySeqDBImpl

public interface _PrimarySeqDB_Operations
extends _Unknown_Operations

Method Summary
`java.lang.String` `database_name(org.omg.CORBA.portable.ObjectImpl primarySeqDB)`
`short` `database_version(org.omg.CORBA.portable.ObjectImpl primarySeqDB)`
`PrimarySeq` `get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl primarySeqDB, java.lang.String primary_id)`
`PrimarySeqIterator` `make_PrimarySeqIterator(org.omg.CORBA.portable.ObjectImpl primarySeqDB)`

Methods inherited from interface GNOME._Unknown_Operations
`query_interface, ref, unref`

Method Detail

### database_name

    public java.lang.String database_name(org.omg.CORBA.portable.ObjectImpl primarySeqDB)

### database_version

    public short database_version(org.omg.CORBA.portable.ObjectImpl primarySeqDB)

### make_PrimarySeqIterator

    public PrimarySeqIterator make_PrimarySeqIterator(org.omg.CORBA.portable.ObjectImpl primarySeqDB)

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl primarySeqDB,
                                     java.lang.String primary_id)
                              throws UnableToProcess